package de.accso.flexinale.backoffice.application.services;

import de.accso.flexinale.backoffice.domain.model.Kino;
import de.accso.flexinale.common.shared_kernel.Identifiable;
import jakarta.transaction.Transactional;

import java.util.List;

@Transactional
public class KinoService {

    private final de.accso.flexinale.backoffice.domain.services.KinoService kinoService;

    public KinoService(de.accso.flexinale.backoffice.domain.services.KinoService kinoService) {
        this.kinoService = kinoService;
    }


    public List<Kino> kinos() {
        return kinoService.kinos();
    }

    public Kino kino(Identifiable.Id kinoId) {
        return kinoService.kino(kinoId);
    }
}
